import { DomWrapper, NormalizedEvent, DomRenderer, Base, Type } from "igniteui-react-core/ES2015/type";
import { FinancialChartDropDownControlViewModel } from "./FinancialChartDropDownControlViewModel";
export declare class FinancialChartDropDownControlView extends Base {
    private b;
    private c;
    d: DomWrapper;
    e: DomWrapper;
    a: FinancialChartDropDownControlViewModel;
    private i(a);
    private h(a);
    protected k(a: any): void;
    j(a: NormalizedEvent): void;
    f(a: DomRenderer, b: FinancialChartDropDownControlViewModel, c: string, d: string): void;
    protected g(): void;
    static $t: Type;
}
